include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/kaffeine/src/input/dvb/lib
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)

add_definitions( -DLOG_LEVEL=1 )

##### dvben50221 (static)

tde_add_library( dvben50221 STATIC_PIC

  SOURCES
        asn_1.c
        en50221_app_ai.c
        en50221_app_auth.c
        en50221_app_ca.c
        en50221_app_datetime.c
        en50221_app_dvb.c
        en50221_app_epg.c
        en50221_app_lowspeed.c
        en50221_app_mmi.c
        en50221_app_rm.c
        en50221_app_smartcard.c
        en50221_app_teletext.c
        en50221_app_utils.c
        en50221_session.c
        en50221_transport.c
        en50221_stdcam.c
        en50221_stdcam_llci.c
        en50221_stdcam_hlci.c
)
